<?php

if (!isset($content_width)) $content_width = 900;

if (function_exists('add_theme_support')){
	add_theme_support("title-tag");
    add_theme_support('post-thumbnails');
    add_image_size('large', 900, '', true);
    add_image_size('medium', 450, '', true);
    add_image_size('small', 250, '', true);
    add_theme_support('automatic-feed-links');
	add_theme_support('custom-logo');
}

function isdmin_pagination(){
	global $wp_query;
	$big = 999999999;
	echo paginate_links( array(
		'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
		'format' => '?paged=%#%',
		'current' => max( 1, get_query_var('paged') ),
		'total' => $wp_query->max_num_pages
	) );
}

function isdmin_nav(){
	wp_nav_menu(array(
		'theme_location'  => 'header-menu',
		'menu_class'      => 'menu',
		'echo'            => true,
		'fallback_cb'     => 'wp_page_menu',
		'items_wrap'      => '<ul>%3$s</ul>',
		'depth'           => 0
	));
}

function isdmin_styles(){
    wp_register_style('isdmin', get_template_directory_uri().'/style.css', array(), '1.0', 'all');
    wp_enqueue_style('isdmin');
}

function register_isdmin_menu(){
    register_nav_menus(array(
        'header-menu' => __('Header Menu', 'isdmin')
    ));
}

function my_wp_nav_menu_args($args = ''){
    $args['container'] = false;
    return $args;
}

function isdmin_widgets_init() {
    register_sidebar(array(
        'name' => __('Widget Area 1', 'isdmin'),
        'description' => __('Sidebar Wiget Area 1', 'isdmin'),
        'id' => 'widget-area-1',
        'before_widget' => '<div id="%1$s" class="%2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h3>',
        'after_title' => '</h3>'
    ));
}

function isdmin_add_editor_styles() {
    add_editor_style( 'custom-editor-style.css' );
}

add_action( 'admin_init', 'isdmin_add_editor_styles' );
add_action('after_setup_theme', 'register_isdmin_menu', 0 );
add_action('widgets_init', 'isdmin_widgets_init' );
add_action('wp_enqueue_scripts', 'isdmin_styles');

add_filter('wp_nav_menu_args', 'my_wp_nav_menu_args');

?>
